; This is a .emacs file for initializing gnuemacs.  Customize however 
; you like
;; epoch-version is an epoch-defined variable whose value is not nil.
;; By looking at it you can tell if you are running epoch.  But! on
;; the other hand, it doesnt exist in a regular gnuemacs, so defvar-ing
;; it to nil here guarantees it will be nil in gnuemacs and non-nil
;; in epoch
(defvar epoch::version nil)     ;; in epoch this wiill not set!

;; running-epoch is a better name for the variable that tells us is we are
;; in epoch or not

(setq running-epoch epoch::version)
(if running-epoch (setq term-file-prefix nil)) ; don't load xterm stuff!

;; target-buffer is used by random bits of the epoch code.

(setq target-buffer (get-buffer "*scratch*"))

;; live dangerously

(put 'eval-expression 'disabled nil)

;; because I have so many screens open all the time, and idle C-xC-c can
;; really screw things up for me.  So make sure we dont exit without
;; confirmation, and rebind C-xC-c appropriately

(defun my-exit-from-emacs ()
  (interactive)
  (if (yes-or-no-p "Do you want to exit ")
      (save-buffers-kill-emacs)))

(global-set-key "\C-x\C-c" 'my-exit-from-emacs)

(if running-epoch
  (progn
    (load-library "epoch-util")
    (load-library "epoch")
    (load-library "button")
    (load-library "mouse")
    (load-library "motion")
    (load-library "property")
    (load-library "message")
    (load-library "server")

  )
)
